Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.py	(revision 7198)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.py	(revision 7321)
@@ -31,5 +31,5 @@
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
 from random import SystemRandom as random
-from waeup.sirp.interfaces import IWAeUPSIRPPluggable, IObjectHistory
+from waeup.sirp.interfaces import ISIRPPluggable, IObjectHistory
 from waeup.sirp.accesscodes.interfaces import (
     IAccessCode, IAccessCodeBatch, IAccessCodeBatchContainer
@@ -398,5 +398,5 @@
 class AccessCodePlugin(grok.GlobalUtility):
     grok.name('accesscodes')
-    grok.implements(IWAeUPSIRPPluggable)
+    grok.implements(ISIRPPluggable)
 
     def setup(self, site, name, logger):
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.txt	(revision 7198)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/accesscode.txt	(revision 7321)
@@ -7,5 +7,5 @@
 
 .. :NOdoctest:
-.. :NOlayer: waeup.sirp.testing.WAeUPSIRPUnitTestLayer
+.. :NOlayer: waeup.sirp.testing.SIRPUnitTestLayer
 
 About access-codes
@@ -591,8 +591,8 @@
 .. class:: AccessCodePlugin
 
-  A `waeup.sirp` plugin that updates existing WAeUP SIRP university
+  A `waeup.sirp` plugin that updates existing SIRP university
   instances so that they provide support for access-codes.
 
-  .. attribute:: grok.implements(IWAeUPSIRPPluggable)
+  .. attribute:: grok.implements(ISIRPPluggable)
   .. attribute:: grok.name('accesscodes')
 
@@ -608,5 +608,5 @@
 
   The AccessCodePlugin is available as a global named utility for the
-  IWAeUPSIRPPluggable interface named ``accesscodes``.
+  ISIRPPluggable interface named ``accesscodes``.
 
   It is looked up by a university instance when created, so that this
@@ -615,6 +615,6 @@
 
     >>> from zope.component import getUtility
-    >>> from waeup.sirp.interfaces import IWAeUPSIRPPluggable
-    >>> plugin = getUtility(IWAeUPSIRPPluggable, name='accesscodes')
+    >>> from waeup.sirp.interfaces import ISIRPPluggable
+    >>> plugin = getUtility(ISIRPPluggable, name='accesscodes')
     >>> plugin
     <waeup.sirp.accesscodes.accesscodes.AccessCodePlugin object at 0x...>
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7198)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7321)
@@ -22,9 +22,9 @@
 from hurry.workflow.interfaces import InvalidTransitionError
 from waeup.sirp.browser.resources import datatable
-from waeup.sirp.browser import WAeUPPage, WAeUPAddFormPage
+from waeup.sirp.browser import SIRPPage, SIRPAddFormPage
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
 from waeup.sirp.browser.viewlets import (
     AdminTask, AddActionButton, SearchActionButton, BatchOpButton, ManageLink)
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 
 from waeup.sirp.accesscodes.interfaces import (
@@ -33,7 +33,7 @@
 from waeup.sirp.accesscodes.catalog import search
 
-grok.context(IWAeUPObject)
-
-class BatchContainerPage(WAeUPPage):
+grok.context(ISIRPObject)
+
+class BatchContainerPage(SIRPPage):
     grok.name('index')
     grok.context(IAccessCodeBatchContainer)
@@ -61,5 +61,5 @@
             self.flash('Deleted batch %s' % name)
 
-class AddBatchPage(WAeUPAddFormPage):
+class AddBatchPage(SIRPAddFormPage):
     grok.name('add')
     grok.context(IAccessCodeBatchContainer)
@@ -89,5 +89,5 @@
         self.redirect(self.url(self.context))
 
-class ReimportBatchPage(WAeUPPage):
+class ReimportBatchPage(SIRPPage):
     """Screen for reimporting AC batches.
     """
@@ -123,5 +123,5 @@
         self.redirect(self.url(self.context))
 
-class BatchContainerSearchPage(WAeUPPage):
+class BatchContainerSearchPage(SIRPPage):
     grok.name('search')
     grok.context(IAccessCodeBatchContainer)
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.txt	(revision 7198)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.txt	(revision 7321)
@@ -4,5 +4,5 @@
 .. module:: waeup.sirp.accesscodes.browser
 
-Here we visit the access-code related parts of a WAeUP SIRP site using
+Here we visit the access-code related parts of a SIRP site using
 a virtual browser.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 7198)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/interfaces.py	(revision 7321)
@@ -20,7 +20,7 @@
 from zope import schema
 from zope.interface import Interface
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 
-class IAccessCode(IWAeUPObject):
+class IAccessCode(ISIRPObject):
     """An access code.
     """
@@ -91,5 +91,5 @@
         )
 
-class IAccessCodeBatchContainer(IWAeUPObject):
+class IAccessCodeBatchContainer(ISIRPObject):
     """A container for access code batches.
     """
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscode.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscode.py	(revision 7198)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/tests/test_accesscode.py	(revision 7321)
@@ -29,5 +29,5 @@
 from zope.testing import renormalizing
 from waeup.sirp.app import University
-from waeup.sirp.interfaces import IObjectHistory, IWAeUPSIRPPluggable
+from waeup.sirp.interfaces import IObjectHistory, ISIRPPluggable
 from waeup.sirp.testing import (
     FunctionalLayer, FunctionalTestCase, setUp, tearDown, getRootFolder)
@@ -412,6 +412,6 @@
     def test_iface(self):
         plugin = AccessCodePlugin()
-        assert verifyObject(IWAeUPSIRPPluggable, plugin)
-        assert verifyClass(IWAeUPSIRPPluggable, AccessCodePlugin)
+        assert verifyObject(ISIRPPluggable, plugin)
+        assert verifyClass(ISIRPPluggable, AccessCodePlugin)
 
     def test_update_w_ac_container(self):
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py	(revision 7198)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/workflow.py	(revision 7321)
@@ -24,6 +24,6 @@
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
 from waeup.sirp.accesscodes.interfaces import IAccessCode
-from waeup.sirp.interfaces import IObjectHistory, IWAeUPWorkflowInfo
-from waeup.sirp.workflow import WAeUPWorkflow, WAeUPWorkflowInfo
+from waeup.sirp.interfaces import IObjectHistory, ISIRPWorkflowInfo
+from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
 
 INITIALIZED = 'initialized'
@@ -104,5 +104,5 @@
     )
 
-accesscode_workflow = WAeUPWorkflow(ACCESSCODE_TRANSITIONS)
+accesscode_workflow = SIRPWorkflow(ACCESSCODE_TRANSITIONS)
 
 class AccessCodeWorkflowState(WorkflowState, grok.Adapter):
@@ -113,7 +113,7 @@
     state_id = 'wf.accesscode.id'
 
-class AccessCodeWorkflowInfo(WAeUPWorkflowInfo, grok.Adapter):
+class AccessCodeWorkflowInfo(SIRPWorkflowInfo, grok.Adapter):
     grok.context(IAccessCode)
-    grok.provides(IWAeUPWorkflowInfo)
+    grok.provides(ISIRPWorkflowInfo)
 
     def __init__(self, context):
